# Method: players.getScopedPlayerIds

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#body.HTTP_TEMPLATE)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#body.ScopedPlayerIds.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/players/getScopedPlayerIds#try-it)

Retrieves scoped player identifiers for currently authenticated user.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/me/scopedIds`

### Request body

The request body must be empty.

### Response body

Scoped player identifiers.

If successful, the response body contains data with the following structure:

|                       JSON representation                        |
|------------------------------------------------------------------|
| ``` { "gamePlayerId": string, "developerPlayerKey": string } ``` |

|                                                                                                                                                       Fields                                                                                                                                                        ||
|----------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `gamePlayerId`       | `string` Game-scoped player identifier. This is the same id that is returned in players.get gamePlayerId field.                                                                                                                                                                               |
| `developerPlayerKey` | `string` Identifier of the player across all games of the given developer. Every player has the same developerPlayerKey in all games of one developer. Developer player key changes for the game if the game is transferred to another developer. Note that gamePlayerId will stay unchanged. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).